Package org.springframework.batch.integration.chunk

# Class ChunkResponse

java.lang.Object
org.springframework.batch.integration.chunk.ChunkResponse

All Implemented Interfaces:
  `Serializable`

public class ChunkResponse extends Object implements Serializable
Encapsulates a response to processing a chunk of items, summarising the result as a `StepContribution`.

Author:
  Dave Syer, Mahmoud Ben Hassine
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChunkResponse(boolean status, int sequence, Long jobId, StepContribution stepContribution)`
  `ChunkResponse(boolean status, int sequence, Long jobId, StepContribution stepContribution, String message)`
  `ChunkResponse(boolean status, int sequence, Long jobId, StepContribution stepContribution, String message, boolean redelivered)`
  `ChunkResponse(int sequence, Long jobId, StepContribution stepContribution)`
  `ChunkResponse(ChunkResponse input, boolean redelivered)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Long`
  `getJobId()`
  `String`
  `getMessage()`
  `int`
  `getSequence()`
  `StepContribution`
  `getStepContribution()`
  `boolean`
  `isRedelivered()`
  `boolean`
  `isSuccessful()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChunkResponse

    public ChunkResponse(int sequence, Long jobId, StepContribution stepContribution)

  - ### ChunkResponse

    public ChunkResponse(boolean status, int sequence, Long jobId, StepContribution stepContribution)

  - ### ChunkResponse

    public ChunkResponse(boolean status, int sequence, Long jobId, StepContribution stepContribution, @Nullable String message)

  - ### ChunkResponse

    public ChunkResponse(ChunkResponse input, boolean redelivered)

  - ### ChunkResponse

    public ChunkResponse(boolean status, int sequence, Long jobId, StepContribution stepContribution, @Nullable String message, boolean redelivered)

- ## Method Details

  - ### getStepContribution

    public StepContribution getStepContribution()

  - ### getJobId

    public Long getJobId()

  - ### getSequence

    public int getSequence()

  - ### isSuccessful

    public boolean isSuccessful()

  - ### isRedelivered

    public boolean isRedelivered()

  - ### getMessage

    public String getMessage()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`
    See Also:
      - `Object.toString()`